# Created by pyp2rpm-3.3.2
%global pypi_name txaio

Name:           python-%{pypi_name}
Version:        23.1.1
Release:        %mkrel 5
Summary:        Compatibility API between asyncio/Twisted/Trollius
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/txaio/
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         txaio-docs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(twisted) >= 12.1.0
Requires:       python3dist(zope.interface) >= 3.6

%description -n python3-%{pypi_name}
| |Version| |Build Status| |Coverage| |Docs|--**txaio** is a helper library for
writing code that runs unmodified on both Twisted < and asyncio < / Trollius <
is like six < but for wrapping over differences between Twisted and asyncio so
one can write code that runs unmodified on both (aka *source code
compatibility*). In other words: your *users* can choose if they want asyncio
**or** Twisted...

%package -n python-%{pypi_name}-doc
Summary:        txaio documentation

%description -n python-%{pypi_name}-doc
Documentation for txaio.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files txaio

%check
# %%pytest || true
# In addition, the %%check command of
# "git clone https://src.fedoraproject.org/rpms/python-txaio"
# seems unmanagably complicated. :S -- shlomif
_disable_tests_due_to_them_requiring_an_inet_conn="1"
if test "$_disable_tests_due_to_them_requiring_an_inet_conn" = "1"
then
    true
else
    tox -e py38-asyncio
fi

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 23.1.1-5.mga10
+ Revision: 2242336
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 23.1.1-4.mga10
+ Revision: 2160082
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 23.1.1-3.mga10
+ Revision: 2150014
- fix for doc build with sphinx 8.1

* Sun Dec 22 2024 papoteur <papoteur> 23.1.1-2.mga10
+ Revision: 2129049
- add and use pytest

* Tue Jul 02 2024 papoteur <papoteur> 23.1.1-1.mga10
+ Revision: 2078966
- new version 23.1.1

* Fri Dec 29 2023 tv <tv> 22.2.1-2.mga10
+ Revision: 2023435
- Rebuild for python-3.12

* Wed Sep 07 2022 neoclust <neoclust> 22.2.1-1.mga9
+ Revision: 1885356
- New version  22.2.1

* Wed Mar 30 2022 umeabot <umeabot> 21.2.1-4.mga9
+ Revision: 1834360
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 21.2.1-3.mga9
+ Revision: 1774637
- update to python 3.10

* Sun Mar 21 2021 joequant <joequant> 21.2.1-2.mga9
+ Revision: 1706353
- update to python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 21.2.1-1.mga9
+ Revision: 1695251
- new version 21.2.1

* Sun Sep 20 2020 shlomif <shlomif> 20.4.1-2.mga8
+ Revision: 1628886
- restore check by using tox

* Sat Sep 19 2020 shlomif <shlomif> 20.4.1-1.mga8
+ Revision: 1628750
- New version 20.4.1

* Sun Feb 16 2020 umeabot <umeabot> 18.8.1-3.mga8
+ Revision: 1534008
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 18.8.1-2.mga8
+ Revision: 1446545
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 18.8.1-1.mga8
+ Revision: 1422948
- pyp2rpm

